curl -XDELETE https://qstash.upstash.io/v2/dlq \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"dlqIds": ["11111-0", "22222-0", "33333-0"]
}'
const response = await fetch("https://qstash.upstash.io/v2/dlq", {
method: "DELETE",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: {
dlqIds: [
"11111-0",
"22222-0",
"33333-0",
],
},
});
import requests
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
}
data = {
"dlqIds": [
"11111-0",
"22222-0",
"33333-0"
]
}
response = requests.delete(
'https://qstash.upstash.io/v2/dlq',
headers=headers,
data=data
)
var data = strings.NewReader(`{
"dlqIds": [
"11111-0",
"22222-0",
"33333-0"
]
}`)
req, err := http.NewRequest("DELETE", "https://qstash.upstash.io/v2/dlq", data)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"deleted": 3
}
Dead Letter Queues
Delete multiple messages from the DLQ
Manually remove messages
DELETE
/
v2
/
dlq
curl -XDELETE https://qstash.upstash.io/v2/dlq \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"dlqIds": ["11111-0", "22222-0", "33333-0"]
}'
const response = await fetch("https://qstash.upstash.io/v2/dlq", {
method: "DELETE",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: {
dlqIds: [
"11111-0",
"22222-0",
"33333-0",
],
},
});
import requests
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
}
data = {
"dlqIds": [
"11111-0",
"22222-0",
"33333-0"
]
}
response = requests.delete(
'https://qstash.upstash.io/v2/dlq',
headers=headers,
data=data
)
var data = strings.NewReader(`{
"dlqIds": [
"11111-0",
"22222-0",
"33333-0"
]
}`)
req, err := http.NewRequest("DELETE", "https://qstash.upstash.io/v2/dlq", data)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"deleted": 3
}
Delete multiple messages from the DLQ.
You can get the
dlqId from the list DLQs endpoint.Request
The list of DLQ message IDs to remove.
Response
A deleted object with the number of deleted messages.{
"deleted": number
}
{
"deleted": 3
}
curl -XDELETE https://qstash.upstash.io/v2/dlq \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"dlqIds": ["11111-0", "22222-0", "33333-0"]
}'
const response = await fetch("https://qstash.upstash.io/v2/dlq", {
method: "DELETE",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: {
dlqIds: [
"11111-0",
"22222-0",
"33333-0",
],
},
});
import requests
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
}
data = {
"dlqIds": [
"11111-0",
"22222-0",
"33333-0"
]
}
response = requests.delete(
'https://qstash.upstash.io/v2/dlq',
headers=headers,
data=data
)
var data = strings.NewReader(`{
"dlqIds": [
"11111-0",
"22222-0",
"33333-0"
]
}`)
req, err := http.NewRequest("DELETE", "https://qstash.upstash.io/v2/dlq", data)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
Was this page helpful?
⌘I